xcb_input_xi_change_hierarchy(3)

NAME
xcb_input_xi_change_hierarchy -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_change_hierarchy(xcb_connection_t *conn, uint8_t num_changes, const xcb_input_hierarchy_change_t *changes);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

num_changes
    TODO: NOT YET DOCUMENTED.

changes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_change_hierarchy_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.